# Htpasswd validator

This validator uses htpasswd files, which are very common on Apache web sever environments. It stores one line per entry with the user name and a hash of the password.

Cherokee supports the following hash algorithms:

- MD5
- MD5-crypt
- Apache MD5
- SHA1
- crypt.

## Parameters

It needs one parameter to work:

- PasswdFile: This parameter specifies the path to the login/password pairs file.

## Compatibility

This validator only works with Basic authentication, it's not suitable for HTTP Digest.

## Examples

    Directory /secret {
        Auth Basic {
            Method htpasswd {
               PasswdFile /var/passwordsweb
            }
        }
    }